Subject: Re: [Tsvwg] Atomic delivery of very large SCTP messages

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 5 Dec 2005 23:58:07 -0700

Mark,

This discussion has deteriorated well beyond the scope of the
sockets draft.  Perhaps it would be better to take it over
to sctp-impl list now.  Just drop tsvwg from replies.

--brian

Mark Butler wrote:                            (Mon, 05 Dec 2005 23:32:41)
> 
>    Brian F. G. Bidulock wrote:
> 
> There is no need for users to use the POSIX AIO or other user level 
> async interfaces.  The async support required is transparent to the 
> user.  Blocking reads from different threads can proceed in parallel 
> with no API support.  For example, the Linux 2.6 series internally 
> dispatches all fd read/write operations through asynchronous interfaces 
> and then waits for completion if necessary on the return path.
>     
> 
> With the read() and write() file operations.  QED.
> 
>   
> 
>    Your  interpretation  is  too  narrow.   All Linux sendmsg and recvmsg
>    operations  are  dispatched  as  I  described.   See  sock_sendmsg and
>    sock_recvmsg in net/socket.c.
> 
>     - Mark

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/